#!/bin/sh

describe="Install zsh and oh-my-zsh!"
scripts="@distro @self"

super_apply() {
    [ -d /tmp/fastfetch ] || git clone https://github.com/LinusDierheimer/fastfetch /tmp/fastfetch

    if ! command -v fastfetch &> /dev/null; then
        cd /tmp/fastfetch
        mkdir -p build
        cd build 
        cmake ..
        cmake --build . --target fastfetch
        mv fastfetch /usr/local/bin/fastfetch
    fi

    usermod $USER --shell /bin/zsh
}

super_undo() {
    usermod $USER --shell /bin/bash
}

apply() {
    if [ ! -d "$HOME/.oh-my-zsh" ]; then
        sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)" "" --unattended

        PL_DIR=${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-autosuggestions
        [ -d "$PL_DIR" ] || git clone https://github.com/zsh-users/zsh-autosuggestions $PL_DIR
        PL_DIR=${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-syntax-highlighting
        [ -d "$PL_DIR" ] || git clone https://github.com/zsh-users/zsh-syntax-highlighting.git $PL_DIR
    fi

    unlink $HOME/.zshrc
    [ -e "$HOME/.zshrc" ] || ln files/.zshrc $HOME/.zshrc
}

undo() {
    unlink $HOME/.zshrc
    rm -rf $HOME/.oh-my-zsh
}